Bug 649715 (CVE-2010-3876) - CVE-2010-3876 kernel: net/packet/af_packet.c: reading uninitialized stack memory
Summary: CVE-2010-3876 kernel: net/packet/af_packet.c: reading uninitialized stack memory
Keywords:
Status: NEW
Alias: CVE-2010-3876
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20101031,reported=2...
Depends On: 649894 649895 649896 649897 649898 649899 649900
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 12:08 UTC by Petr Matousek
Modified: 2019-06-08 18:39 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0958 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-12-08 19:08:55 UTC
Red Hat Product Errata RHSA-2011:0004 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-01-04 16:52:05 UTC
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC
Red Hat Product Errata RHSA-2011:0162 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-18 17:45:00 UTC

Description Petr Matousek 2010-11-04 12:08:00 UTC
Description of problem:
packet_getname_spkt() doesn't initialize all members of sa_data field of sockaddr struct if strlen(dev->name) < 13.  This structure is then copied to userland.  It leads to leaking of contents of kernel stack memory. We have to fully fill sa_data with strncpy() instead of strlcpy().

The same with packet_getname(): it doesn't initialize sll_pkttype field of sockaddr_ll.  Set it to zero.


Reference:
http://marc.info/?l=linux-netdev&m=128854507220908&w=2
http://seclists.org/oss-sec/2010/q4/94

Acknowledgements:

Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.

Comment 2 Petr Matousek 2010-11-04 18:53:00 UTC
Statement:

This issue is not planned to be fixed in Red Hat Enterprise Linux 3, due to
this product being in Extended Life Cycle Phase of its maintenance life-cycle,
where only qualified security errata of critical impact are addressed.

For further information about the Errata Support Policy, visit:
http://www.redhat.com/security/updates/errata

Comment 4 errata-xmlrpc 2010-12-08 19:10:16 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Comment 5 errata-xmlrpc 2011-01-04 16:53:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0004 https://rhn.redhat.com/errata/RHSA-2011-0004.html

Comment 6 errata-xmlrpc 2011-01-11 19:46:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html

Comment 7 errata-xmlrpc 2011-01-18 17:46:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0162 https://rhn.redhat.com/errata/RHSA-2011-0162.html


Note You need to log in before you can comment on or make changes to this bug.